RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType > Class Template Reference

`#include <TopologicalTorsionGenerator.h>`

Inheritance diagram for RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >:

## Public Member Functions

OutputType | getResultSize () const override
| Returns the size of the fingerprint based on arguments. More...
std::string | infoString () const override
| method that returns information string about the fingerprint specific argument set and the arguments themselves More...
| TopologicalTorsionArguments (const bool includeChirality, const uint32_t torsionAtomCount, const bool countSimulation, const std::vector< std::uint32_t > countBounds, const std::uint32_t fpSize)
| Construct a new Topological Torsion Arguments object. More...
Public Member Functions inherited from RDKit::FingerprintArguments< OutputType >
| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values More...
virtual | ~FingerprintArguments ()

## Public Attributes

const bool | df_includeChirality
const uint32_t | d_torsionAtomCount
Public Attributes inherited from RDKit::FingerprintArguments< OutputType >
const bool | d_countSimulation
const std::vector< std::uint32_t > | d_countBounds
const std::uint32_t | d_fpSize
const std::uint32_t | d_numBitsPerFeature

## Detailed Description

### template<typename OutputType>
class RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >

Definition at line 22 of file TopologicalTorsionGenerator.h.

## Constructor & Destructor Documentation

## TopologicalTorsionArguments()

template<typename OutputType >

RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >::TopologicalTorsionArguments | ( | const bool | includeChirality,
|  | const uint32_t | torsionAtomCount,
|  | const bool | countSimulation,
|  | const std::vector< std::uint32_t > | countBounds,
|  | const std::uint32_t | fpSize
| ) |  |

Construct a new Topological Torsion Arguments object.

Parameters

  includeChirality | if set, chirality will be used in sparse result
  torsionAtomCount | the number of atoms to include in the "torsions"
  useCountSimulation | if set, use count simulation while generating the fingerprint
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions

## Member Function Documentation

## getResultSize()

template<typename OutputType >

OutputType RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >::getResultSize | ( |  | ) | const

override virtual

Returns the size of the fingerprint based on arguments.

Returns
  OutputType size of the fingerprint

Implements RDKit::FingerprintArguments< OutputType >.

## infoString()

template<typename OutputType >

std::string RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >::infoString | ( |  | ) | const

override virtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implements RDKit::FingerprintArguments< OutputType >.

## Member Data Documentation

## d_torsionAtomCount

template<typename OutputType >

const uint32_t RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >::d_torsionAtomCount

Definition at line 26 of file TopologicalTorsionGenerator.h.

## df_includeChirality

template<typename OutputType >

const bool RDKit::TopologicalTorsion::TopologicalTorsionArguments< OutputType >::df_includeChirality

Definition at line 25 of file TopologicalTorsionGenerator.h.

The documentation for this class was generated from the following file:

- TopologicalTorsionGenerator.h